## org.apache.portals.bridges.perl
Class PerlParameters

    java.lang.Object
      org.apache.portals.bridges.common.ScriptRuntimeData
          org.apache.portals.bridges.perl.PerlParameters

public class PerlParameters
extends org.apache.portals.bridges.common.ScriptRuntimeData

PerlParameters Class holding information about the perl script to execute.This class is typically attached to a PortletAction (as an attribute).

Version:
  $Id: PerlParameters.java 517068 2007-03-12 01:44:37Z ate $
Author:
  Roger Ruttimann

Field Summary
`static String` `ACTION_PARAMETER_PERL` Action Parameter for Perl requests
`private String` `displayMessage`
`static String` `PERL_PARAMETER` Session variable for Perl Parameters
`private String` `perlScript`
`private String` `queryString`
`private String` `requestMethod`

Fields inherited from class org.apache.portals.bridges.common.ScriptRuntimeData
``

Constructor Summary
`PerlParameters()`

Method Summary
`String` `getRequestMethod()`
`void` `setRequestMethod(String requestMethod)`

Methods inherited from class org.apache.portals.bridges.common.ScriptRuntimeData
`addQueryArgument, getApplicationName, getDisplayMessage, getQueryString, getScriptName, getSessionParameterName, setApplicationName, setDisplayMessage, setQueryString, setScriptName, setSessionParameterName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_PARAMETER_PERL

    public static final String ACTION_PARAMETER_PERL

  Action Parameter for Perl requests

  See Also:
    Constant Field Values

### PERL_PARAMETER

    public static final String PERL_PARAMETER

  Session variable for Perl Parameters

  See Also:
    Constant Field Values

### requestMethod

    private String requestMethod

### queryString

    private String queryString

### perlScript

    private String perlScript

### displayMessage

    private String displayMessage

Constructor Detail

### PerlParameters

    public PerlParameters()

Method Detail

### setRequestMethod

    public void setRequestMethod(String requestMethod)

### getRequestMethod

    public String getRequestMethod()

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.